Bug 427228 (CVE-2007-6388) - CVE-2007-6388 apache mod_status cross-site scripting
Summary: CVE-2007-6388 apache mod_status cross-site scripting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-6388
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=moderate,reported=20080102,sou...
Depends On: 427242 449336 427234 427235 427236 427237 427238 427239 427240 427241 427243 427244 427982 427983 427984 430775 430776 430777 430780 430781 430782 449337
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2008-01-02 12:49 UTC by Mark J. Cox
Modified: 2019-06-08 12:26 UTC (History)
3 users (show)

Fixed In Version: 2.2.8-1.fc7, httpd 1.3.41,
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-16 02:08:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0004 normal SHIPPED_LIVE Moderate: apache security update 2008-01-15 09:09:50 UTC
Red Hat Product Errata RHSA-2008:0005 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:17:20 UTC
Red Hat Product Errata RHSA-2008:0006 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:25:40 UTC
Red Hat Product Errata RHSA-2008:0007 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:34:00 UTC
Red Hat Product Errata RHSA-2008:0008 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:38:32 UTC
Red Hat Product Errata RHSA-2008:0009 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-21 09:36:23 UTC
Red Hat Product Errata RHSA-2008:0263 normal SHIPPED_LIVE Low: Red Hat Network Proxy Server security update 2008-05-20 14:14:27 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2008-01-02 12:49:54 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6388 to the following vulnerability:

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem.  When the candidate has been publicized, the details for this candidate will be provided.

References:

Comment 1 Mark J. Cox 2008-01-02 12:51:16 UTC
according to http://marc.info/?l=apache-cvs&m=119892119829161&w=2

 *) SECURITY: CVE-2007-6388 (cve.mitre.org)
    mod_status: Ensure refresh parameter is numeric to prevent
    a possible XSS attack caused by redirecting to other URLs.
    Reported by SecurityReason.  [Mark Cox, Joe Orton]

Comment 2 Mark J. Cox 2008-01-02 12:53:27 UTC
This issue is moderate severity as the status page is not enabled by default,
and the suggested configuration protects the status page by hostname (therefore
limiting the scope of the XSS to sites that have made their status page public
or only against site administrators).  

Comment 13 Fedora Update System 2008-02-13 14:28:39 UTC
httpd-2.2.8-1.fc8 has been submitted as an update for Fedora 8

Comment 14 Fedora Update System 2008-02-13 14:32:49 UTC
httpd-2.2.8-1.fc7 has been submitted as an update for Fedora 7

Comment 15 Fedora Update System 2008-02-16 02:08:05 UTC
httpd-2.2.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2008-02-16 02:10:46 UTC
httpd-2.2.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 errata-xmlrpc 2010-08-04 21:32:57 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.